Subject: Re: [bug#42735] [PATCH] pre-inst-env: don't use GUIX_PACKAGE_PATH

From: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Fri, 7 Aug 2020 08:02:04 +0200

On Thu, 06 Aug 2020 22:46:52 -0500
Brett Gilio <[email-masked]> wrote:

> Denis 'GNUtoo' Carikli <[email-masked]> writes:
> 
> >  
> > +# Make sure we don't use local package definitions
> > +GUIX_PACKAGE_PATH=""
> > +export GUIX_PACKAGE_PATH
> > +
> >  exec "$@"
> 
> Wouldn't it make more sense to use `unset` instead of defining an
> empty variable?
I used export and defined an empty variable because I don't know how to
write portable shell scripts and export was already used in
build-aux/pre-inst-env.in.

Is unset portable? If so should I resend a patch with unset instead?

Denis.